%define	name	ipmitool
%define	version	1.8.9
%define release	%mkrel 2
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Utility for interfacing with IPMI devices
Source0:	    http://optusnet.dl.sourceforge.net/sourceforge/ipmitool/%{name}-%{version}.tar.bz2
License:	    GPL
Group:		    System/Kernel and hardware
Url:		    http://ipmitool.sourceforge.net/ 
Requires:	    IPMI
BuildRequires:	freeipmi-devel
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control. 

%prep
%setup -q

%build
%configure2_5x \
    --enable-ipmievd \
    --enable-intf-lan \
    --enable-intf-open \
    --enable-intf-lanplus \
    --with-kerneldir=/usr/src/linux \
    --with-plugin-path=%{_libdir}/ipmitool
make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*


%changelog
* Thu Mar 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.9-2mdv2007.1
+ Revision: 144249
- freeipmi-devel is a build dependency

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.9-1mdv2007.1
+ Revision: 143715
- new version

* Wed Jan 17 2007 Erwan Velu <erwan@mandriva.org> 1.8.8-1mdv2007.1
+ Revision: 109930
- 1.8.8
- Import ipmitool



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.8.7-2mdv2007.0
- Rebuild

* Thu Mar 30 2006 Erwan Velu <erwan@seanodes.com> 1.8.7-1mdk
- 1.8.7

* Thu Jan 19 2006 Erwan Velu <erwan@seanodes.com> 1.8.6-1mdk
- 1.8.6

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.8.2-2mdk
- rebuilt against openssl-0.9.8a

* Mon Jun  6 2005 Erwan Velu <velu@seanodes.com> 1.8.2-1mdk
- 1.8.2
- Adding ipmievd

* Fri Apr  1 2005 Olivier Blin <oblin@mandrakesoft.com> 1.6.0-2mdk
- don't require libs in main package, they aren't produced anymore

* Thu Mar 03 2005 Erwan Velu <erwan@seanodes.com> 1.6.0-1mdk
- 1.6.0

* Wed Aug 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.9-5mdk
- lib64 fixes

* Fri Aug 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-4mdk
- Fixing description
* Wed Aug 11 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-3mdk
- Requires IPMI
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-2mdk
- Fixing versionning of libs
- Fixing requires
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-1mdk
- Initial MDK Release
